### Hierarchy

- Location

## Index

### Properties

- ancestorOrigins
- hash
- host
- hostname
- href
- origin
- pathname
- port
- protocol
- search

### Methods

- assign
- reload
- replace

## Properties

### ancestorOrigins

ancestorOrigins: DOMStringList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9373

Returns a DOMStringList object listing the origins of the ancestor browsing contexts, from the parent browsing context to the top-level browsing context.

### hash

hash: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9378

Returns the Location object's URL's fragment (includes leading "#" if non-empty). Can be set, to navigate to the same URL with a changed fragment (ignores leading "#").

### host

host: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9384

Returns the Location object's URL's host and port (if different from the default port for the scheme). Can be set, to navigate to the same URL with a changed host and port.

### hostname

hostname: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9389

Returns the Location object's URL's host. Can be set, to navigate to the same URL with a changed host.

### href

href: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9394

Returns the Location object's URL. Can be set, to navigate to the given URL.

### origin

origin: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9398

Returns the Location object's URL's origin.

### pathname

pathname: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9403

Returns the Location object's URL's path. Can be set, to navigate to the same URL with a changed path.

### port

port: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9408

Returns the Location object's URL's port. Can be set, to navigate to the same URL with a changed port.

### protocol

protocol: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9413

Returns the Location object's URL's scheme. Can be set, to navigate to the same URL with a changed scheme.

### search

search: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9418

Returns the Location object's URL's query (includes leading "?" if non-empty). Can be set, to navigate to the same URL with a changed query (ignores leading "?").

## Methods

### assign

- assign(url: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9422

  Navigates to the given URL.

  #### Parameters

  - ##### url: string

  #### Returns void

### reload

- reload(): void
- reload(forcedReload: boolean): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9426

  Reloads the current page.

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9428
  deprecated

  #### Parameters

  - ##### forcedReload: boolean

  #### Returns void

### replace

- replace(url: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9432

  Removes the current page from the session history and navigates to the given URL.

  #### Parameters

  - ##### url: string

  #### Returns void

Generated using TypeDoc